# Uses of Enum Class
org.eclipse.emf.cdo.server.db.evolution.phased.Phase.Transition

Packages that use Phase.Transition
Package
Description
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.

## Uses of Phase.Transition in org.eclipse.emf.cdo.server.db.evolution.phased

Methods in org.eclipse.emf.cdo.server.db.evolution.phased that return Phase.Transition
Modifier and Type
Method
Description
`protected abstract Phase.Transition`
Phase.`getTransitionTo(Phase nextPhase)`
`Phase.Transition`
Phase.`transitionTo(Phase nextPhase)`
Returns the `transition` to the given `nextPhase`, or `null` if no such transition exists.
`static Phase.Transition`
Phase.Transition.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Phase.Transition[]`
Phase.Transition.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.